commit:     66dcf031932854324c8fbe1be883e66a66988968
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 22 14:26:01 2017 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Sep 22 14:44:48 2017 +0000
URL:        https://gitweb.gentoo.org/proj/qt.git/commit/?id=66dcf031

qt5-build.eclass: fix 5.9.9999 and later live ebuilds

qconfig.h is created at configure time in $QT5_BUILD_DIR. Live ebuilds are
built out-of-source while release are not. Since the copy was happening in
the source directory, a fatal error occurred in live ebuilds as qconfig.h
is not where it was expected.

 eclass/qt5-build.eclass | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index fa775d36..fca63af4 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -680,13 +680,14 @@ qt5_base_configure() {
        einfo "Configuring with: ${conf[@]}"
        "${S}"/configure "${conf[@]}" || die "configure failed"
 
-       popd >/dev/null || die
-
        if [[ ${QT5_MINOR_VERSION} -ge 8 ]]; then
                # a forwarding header is no longer created since 5.8, causing 
the system
                # config to always be used. bug 599636
                cp src/corelib/global/qconfig.h include/QtCore/ || die
        fi
+
+       popd >/dev/null || die
+
 }
 
 # @FUNCTION: qt5_qmake

Reply via email to